ON_MeshCurveParameters Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_curve.h>`

## Public Member Functions

| ON_MeshCurveParameters ()

## Public Attributes

int | m_main_seg_count
int | m_sub_seg_count
int | m_reserved1
int | m_reserved2
double | m_max_ang_radians
double | m_max_chr
double | m_max_aspect
double | m_tolerance
double | m_min_edge_length
double | m_max_edge_length
double | m_reserved3
double | m_reserved4

## Detailed Description

Definition at line 37 of file opennurbs_curve.h.

## Constructor & Destructor Documentation

## ON_MeshCurveParameters()

ON_MeshCurveParameters::ON_MeshCurveParameters | ( |  | ) |

## Member Data Documentation

## m_main_seg_count

int ON_MeshCurveParameters::m_main_seg_count

Definition at line 50 of file opennurbs_curve.h.

## m_max_ang_radians

double ON_MeshCurveParameters::m_max_ang_radians

Definition at line 58 of file opennurbs_curve.h.

## m_max_aspect

double ON_MeshCurveParameters::m_max_aspect

Definition at line 69 of file opennurbs_curve.h.

## m_max_chr

double ON_MeshCurveParameters::m_max_chr

Definition at line 62 of file opennurbs_curve.h.

## m_max_edge_length

double ON_MeshCurveParameters::m_max_edge_length

Definition at line 82 of file opennurbs_curve.h.

## m_min_edge_length

double ON_MeshCurveParameters::m_min_edge_length

Definition at line 78 of file opennurbs_curve.h.

## m_reserved1

int ON_MeshCurveParameters::m_reserved1

Definition at line 53 of file opennurbs_curve.h.

## m_reserved2

int ON_MeshCurveParameters::m_reserved2

Definition at line 54 of file opennurbs_curve.h.

## m_reserved3

double ON_MeshCurveParameters::m_reserved3

Definition at line 84 of file opennurbs_curve.h.

## m_reserved4

double ON_MeshCurveParameters::m_reserved4

Definition at line 85 of file opennurbs_curve.h.

## m_sub_seg_count

int ON_MeshCurveParameters::m_sub_seg_count

Definition at line 51 of file opennurbs_curve.h.

## m_tolerance

double ON_MeshCurveParameters::m_tolerance

Definition at line 74 of file opennurbs_curve.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_curve.h